<?php

class Picasa
{

   private $id_empresa;
   private $sql;
   public $qry;
   private $mysqlCom;

   public function __construct()
   {
      ob_start();
      session_start();
      $this->id_empresa = $_SESSION["fild_id_empresa"];
   }

   private function execulta()
   {
      $this->mysqlCom = new MysqlConnect();
      $this->qry = mysqli_query($this->mysqlCom->connect(), $this->sql);
   }

   public function getIdEmpresa($website)
   {
      $this->sql = "select id_empresa from album_picasa
							where website = '$website'
							and id_x9_local = 1
							LIMIT 0 , 1";
      $this->execulta();

      while ($row = mysqli_fetch_object($this->qry)) {
         return $row->id_empresa;
      }
   }

   public function PicasaUmaFoto($id_evento, $tamanho = '72', $perfil)
   {
      $this->sql = "select usuario_picasa, album_picasa from album_picasa
						where id_evento = $id_evento
						and id_empresa = $this->id_empresa
                  LIMIT 0 , 1";
      $this->execulta();

      while ($row = mysqli_fetch_object($this->qry)) {
         $usuario = $row->usuario_picasa;
         $album = $row->album_picasa;
      }

      if ($usuario != '') {
         if ($capa == '') {
            /* $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album");
              $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album?start-index=1&max-results=1&alt=json&fields=entry(gphoto:numphotos,media:group(media:content))");					if(!$tt) exit('Não Foi Localizado nem uma foto para esté Álbum');
              //$xml = simplexml_load_string($tt);
              $json = json_decode($tt);
              echo $json->feed->entry[0]->{'media$group'}->{'media$content'}[0]->url.'?imgmax='.$tamanho;
              for($i = 0; $i < 1; $i++) {
              $nome = $media->{title};
              $media = $xml->{"entry"}[$i];
              echo $media->{"content"}[0]->attributes()->src . '?imgmax='.$tamanho;
              } */
            echo $this->getUmaFotoInterno($usuario, $album) . '?imgmax=' . $tamanho;
         } else {
            echo $capa . '?imgmax=' . $tamanho;
         }
      } else {
         if ($perfil == 'sim')
            echo 'img/perfil.png';
         else
            echo 'img/img.jpg';
      }
   }

   private function getUmaFotoInterno($usuario, $album)
   {
      $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album?start-index=1&max-results=1&alt=json&fields=entry(gphoto:numphotos,media:group(media:content))");
      if (!$tt)
         exit('Não Foi Localizado nem uma foto para esté Álbum');
      //$xml = simplexml_load_string($tt);
      $json = json_decode($tt);
      return $json->feed->entry[0]->{'media$group'}->{'media$content'}[0]->url;
   }

   public function getUmFotoWebSite($id_evento, $tamanho = '72')
   {
      $sql = "select usuario_picasa, album_picasa from album_picasa
						where id_evento = $id_evento
						and id_x9_local = 1
						and id_empresa = $this->id_empresa
						LIMIT 0 , 1";
      $qry = mysqli_query($this->mysqlCom->connect(), $sql);
      while ($row = mysqli_fetch_object($qry)) {
         $usuario = $row->usuario_picasa;
         $album = $row->album_picasa;
      }
      if ($usuario != '') {
         echo $this->getUmaFotoInterno($usuario, $album) . '?imgmax=' . $tamanho;
         /* $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album");
           if(!$tt) exit('Não Foi Localizado nem uma foto para esté Álbum');
           $xml = simplexml_load_string($tt);
           for($i = 0; $i < 1; $i++) {
           $nome = $media->{title};
           $media = $xml->{"entry"}[$i];
           echo $media->{"content"}[0]->attributes()->src . '?imgmax='.$tamanho;
           } */
      }
   }

   public function PicasaUmaFotoIMG2($id_evento, $tamanho = '72', $perfil)
   {
      $sql = "select usuario_picasa, album_picasa from album_picasa
						where id_evento = $id_evento
						and id_empresa = $this->id_empresa
						ORDER BY RAND()
						LIMIT 0 , 1";
      $qry = mysqli_query($this->mysqlCom->connect(), $sql);
      while ($row = mysqli_fetch_object($qry)) {
         $usuario = $row->usuario_picasa;
         $album = $row->album_picasa;
      }

      if ($usuario != '') {
         if ($capa == '') {
            //$tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album");
            $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album?start-index=1&alt=json&fields=entry(gphoto:numphotos,media:group(media:content))");
            if (!$tt)
               exit('Não Foi Localizado nem uma foto para esté Álbum');
            //$xml = simplexml_load_string($tt);
            //$qto_fotos = count($xml->{"entry"});
            $json = json_decode($tt);
            $qto_fotos = count($json->feed->entry);
            $qto = rand(0, $qto_fotos);
            $qtoFim = $qto + 1;
            for ($i = $qto; $i < $qtoFim; $i++) {
               //$nome = $media->{title};
               //$media = $xml->{"entry"}[$i];
               //return $media->{"content"}[0]->attributes()->src . '?imgmax='.$tamanho;
               return $json->feed->entry[$i]->{'media$group'}->{'media$content'}[0]->url . '?imgmax=' . $tamanho;
            }
         } else {
            return $capa . '?imgmax=' . $tamanho;
         }
      } else {
         if ($perfil == 'sim')
            echo 'img/perfil.png';
         else
            echo 'img/img.jpg';
      }
   }

   public function PicasaQtoFotoIMG($id_evento, $QuantasFotos)
   {
      $sql = "select usuario_picasa, album_picasa from album_picasa
						where id_evento = $id_evento
						and id_empresa = $this->id_empresa
						AND id_x9_local <> 1
						ORDER BY RAND()
						LIMIT 0 , 1";
      $qry = mysqli_query($this->mysqlCom->connect(), $sql);
      while ($row = mysqli_fetch_object($qry)) {
         $usuario = $row->usuario_picasa;
         $album = $row->album_picasa;
      }

      if ($usuario != '') {
         //$tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album");
         $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album?start-index=1&alt=json&fields=entry(gphoto:numphotos,media:group(media:content))");
         if (!$tt)
            exit('Não Foi Localizado nem uma foto para esté Álbum');
         //$xml = simplexml_load_string($tt);
         //$qto_fotos = count($xml->{"entry"});
         $json = json_decode($tt);
         $qto_fotos = count($json->feed->entry);
         $qto = rand(0, ($qto_fotos - $QuantasFotos));
         $qtoFim = $qto + $QuantasFotos;

         for ($i = $qto; $i < $qtoFim; $i++) {
            //$nome = $media->{title};
            // $media = $xml->{"entry"}[$i];
            // $img .= $media->{"content"}[0]->attributes()->src . '|';
            $img .= $json->feed->entry[$i]->{'media$group'}->{'media$content'}[0]->url . '|';
         }

         return $img;
      }
   }

   public function PicasaUmaFotoIMG($usuario, $album, $tamanho = '220')
   {

      return '<img src="' . $this->getUmaFotoInterno($usuario, $album) . '?imgmax=' . $tamanho . '">';

      /* $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album");
        if(!$tt) exit('Não Foi Localizado nem uma foto para esté Álbum<p>'.'<img src="img/user_not_locad.png"/>');

        $xml = simplexml_load_string($tt);
        $qto_fotos = count($xml->{"entry"});
        for($i = 0; $i < 1; $i++) {
        $nome = $media->{title};
        $media = $xml->{"entry"}[$i];
        return '<img src="'. $media->{"content"}[0]->attributes()->src . '?imgmax='.$tamanho .'">';
        } */
   }

   public function PicasaGetUmaImagem($usuario, $album, $id_evento, $tamanho = '220', $btn = true)
   {
      $usuario = addslashes($usuario);
      $album = addslashes($album);
      $sql = "select album_picasa from album_picasa
						where usuario_picasa = '$usuario'
						and album_picasa = '$album'
						and id_evento = $id_evento
						and id_empresa = $this->id_empresa";
      $resultado = '';
      $qry = mysqli_query($this->mysqlCom->connect(), $sql);
      while ($row = mysqli_fetch_object($qry)) {
         $resultado = $row->album_picasa;
      }
      echo $resultado;
      if ($resultado)
         exit('<p>Já tem um álbum cadastrado com este nome, verifique<p>');
      $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album?start-index=1&alt=json&fields=entry(gphoto:numphotos,media:group(media:content))");
      $json = json_decode($tt);
      $qto_fotos = count($json->feed->entry);

      echo '<input type="hidden" name="id_album" id="id_album" value="' . $album . '"/>';
      echo '<input type="hidden" name="id_usuario" id="id_usuario" value="' . $usuario . '"/>';
      echo 'Álbum = ' . $album . ' | Usuário = ' . $usuario . '<p>';
      echo '<img class="mold" src="' . $json->feed->entry[0]->{'media$group'}->{'media$content'}[0]->url .
         '?imgmax=' . $tamanho . '" onclick="return viewer.show(' . $i . ')"><br>';

      if ($btn) {
         echo 'Foram localizadas ' . $qto_fotos . ' Fotos neste álbum<p>';
         echo '<input type="hidden" name="EdtQtoFotosOcuto" id="EdtQtoFotosOcuto" value="' . $qto_fotos . '" />';
         echo '<button class="button blue" id="btnAddAlbumPicasa">Salvar Álbum do Picasa</button>';
         //$this->GetScriptFotosPicasaAll($usuario,$album, '1200');
      }

      //$tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album");
      //if(!$tt) exit('Não Foi Localizado nem uma foto para esté Álbum<p>'.'<img src="img/user_not_locad.png"/>');
      //$xml = simplexml_load_string($tt);
      //			$qto_fotos = count($xml->{"entry"});
      /* for($i = 0; $i < 1; $i++) {
        $nome = $media->{title};
        $media = $xml->{"entry"}[$i];
        echo '<input type="hidden" name="id_album" id="id_album" value="'.$album.'"/>';
        echo '<input type="hidden" name="id_usuario" id="id_usuario" value="'.$usuario.'"/>';
        echo 'Álbum = '.$album .' | Usuário = ' . $usuario . '<p>';

        echo '<img class="mold" src="'. $media->{"content"}[0]->attributes()->src . '?imgmax='.$tamanho .'" onclick="return viewer.show('.$i.')"><br>';

        if($btn) {
        echo 'Foram localizadas ' . $qto_fotos .' Fotos neste álbum<p>';
        echo '<input type="hidden" name="EdtQtoFotosOcuto" id="EdtQtoFotosOcuto" value="' . $qto_fotos .'" />';
        echo '<button class="button blue" id="btnAddAlbumPicasa">Salvar Álbum do Picasa</button>';
        $this->GetScriptFotosPicasaAll($usuario,$album, '1200');
        }
        } */


      //echo 'Nem um Álbum foi Localizado'; //$capa. '?imgmax='.$tamanho;
      //else echo 'img/perfil.png';
   }

   public function PicasaAllAlbuns($usuario, $paginas = 0)
   {
      // Busca álbuns do usuário
      $pag = (int) $paginas;
      $newPagina = ((int) $paginas + 1);

      $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario?start-index=$newPagina&max-results=12&alt=json&fields=entry(title,gphoto:numphotos,gphoto:id,media:group(media:thumbnail))");
      $json = json_decode($tt);
      $qtoAlbuns = count($json->feed->entry);
      for ($i = 0; $i < $qtoAlbuns; $i++) {
         $qtoFotos = $json->feed->entry[$i]->{'gphoto$numphotos'}->{'$t'};
         $IdAlbum = $json->feed->entry[$i]->{'gphoto$id'}->{'$t'};
         $titulo = $json->feed->entry[$i]->title->{'$t'};
         $url = $json->feed->entry[$i]->{'media$group'}->{'media$thumbnail'}[0]->url;

         echo "<div align='center' class='boxAllAlbumPicasa'>";
         echo '<a class="btnGetNomeAlbumPicasa" qto_fotos="' . $qtoFotos . '"  album="' . $titulo . '" idalbum="' . $IdAlbum . '" href="#">';
         echo '<img class="sombra" src="' . $url . '"/>';
         echo $titulo . ' (' . $qtoFotos . ')Fotos';
         echo '</a></div>';
      }
      $pag += 12;
      if ($qtoAlbuns == 12) {
         echo '<div  style="clear:both"></div>';
         echo '<button class="button white"  style="margin:10px" id="btnCarregarMaisAlbum" usuario="' . $usuario . '" pag="' . $pag . '">Mais Álbum</button></div>';
      } else {
         echo '<div  style="clear:both">Não tem Mais Álbum</div>';
      }


      /* echo '<br/>Nome ' . $json->feed->entry[$i]->title->{'$t'}.  '<br/>';
        echo 'qto foto '. $json->feed->entry[$i]->{'gphoto$numphotos'}->{'$t'}. '<br/>';
        echo 'foto '. $json->feed->entry[$i]->{'media$group'}->{'media$content'}[0]->url.'<br/>';
       */



      /* ini_set('allow_url_fopen', On);

        $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario");
        // Guarda dados no formato xml
        $xml = simplexml_load_string($tt);
        $nod = 1;

        $qto_toal = count($xml->{"entry"});
        $final = true;
        $pag = (int)$paginas;
        for($i = $pag; $i < $pag + 12; $i++) {
        $gphoto = $xml->{"entry"}[$i]->children("http://schemas.google.com/photos/2007"); // pega os nodos filhos do namespace http://schemas.google.com/photos/2007
        $media = $xml->{"entry"}[$i]->children("http://search.yahoo.com/mrss/"); // semelhante à linha acima

        // Criando item da listagem

        echo "<div align='center' class='boxAllAlbumPicasa'>";
        echo  '<a class="btnGetNomeAlbumPicasa" qto_fotos="'. $gphoto->numphotos .'"  album="'. $xml->{"entry"}[$i]->title .'" href="#">';
        echo '<img class="sombra" src="'.$media->{"group"}->{"thumbnail"}->attributes()->url. '"/>';
        echo  $xml->{"entry"}[$i]->title . ' ('. $gphoto->numphotos .')Ftos';
        echo '</a></div>';


        if($qto_toal-1 == $i){
        $final = false;
        break;
        }
        }
        $pag += 12;
        if($final == true){
        echo '<div  style="clear:both"></div>';
        echo '<button class="button white"  style="margin:10px" id="btnCarregarMaisAlbum" usuario="'.$usuario.'" pag="'. $pag.'">Mais Álbum</button></div>';
        } */
   }

   public function PicasaFotos($usuario, $album, $paginas, $tamanho = '512')
   {
      $pag = (int) $paginas;
      $newPagina = ((int) $paginas + 1);
      $contador = (int) $paginas;

      $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album?start-index=$newPagina&max-results=10&alt=json&fields=entry(gphoto:numphotos,media:group(media:content))");
      $json = json_decode($tt);
      $qto_fotos = count($json->feed->entry);
      for ($i = 0; $i < $qto_fotos; $i++) {
         $url = $json->feed->entry[$i]->{'media$group'}->{'media$content'}[0]->url . '?imgmax=' . $tamanho;
         echo '<img class="mold" src="' . $url . '" onclick="return viewer.show(' . $contador . ')"><br>';
         $contador++;
      }

      $pag += 10;
      if ($qto_fotos == 10) {
         echo '<div align="center" id="web' . $pag . '">';
         echo '<button style="margin-bottom:20px;" class="button white" id="btnVerFotoWebSite" cont="web' . $pag . '" usuario="' . $usuario . '" album="' . $album . '" pag="' . $pag . '">Mais Fotos</button></div>';
      } else {
         echo '<div  style="clear:both">Que pena as fotos acabaram</div>';
      }
   }

   public function CarregarWebSite($empresa, $website)
   {
      $this->sql = "select usuario_picasa, album_picasa, descricao from album_picasa
							where id_empresa = $empresa 
							and website = '$website'
							and id_x9_local = 1
							LIMIT 0 , 1";

      $this->execulta();
   }

   public function CarregarWebSiteWebsite($website)
   {
      $this->sql = "select usuario_picasa, album_picasa, descricao from album_picasa
							where website = '$website'
							and id_x9_local = 1
							LIMIT 0 , 1";

      $this->execulta();
   }

   public function GetScriptFotosPicasaAll($usuario, $album, $tamanho = '800')
   {
      $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album?start-index=1&alt=json&fields=entry(gphoto:numphotos,media:group(media:content))");
      $json = json_decode($tt);
      $qto_fotos = count($json->feed->entry);

      for ($i = 0; $i < $qto_fotos; $i++) {
         $url = $json->feed->entry[$i]->{'media$group'}->{'media$content'}[0]->url;
         $img .= "viewer.add('" . $url . '?imgmax=' . $tamanho . "'); ";
      }


      /* $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album");
        if(!$tt) exit('Não Foi Localizado nem uma foto para esté Álbum');
        $xml = simplexml_load_string($tt);

        $qto_total = count($xml->{"entry"});

        for($i = 0; $i < $qto_total; $i++) {
        $nome = $media->{title};
        $media = $xml->{"entry"}[$i];
        $img .=  "viewer.add('".$media->{"content"}[0]->attributes()->src . '?imgmax='.$tamanho."'); ";
        } */

      echo '<script type="text/javascript">
						   var viewer = new PhotoViewer();' .
         $img .
         'viewer.disableEmailLink();
						   viewer.disablePhotoLink();
						  </script>';
   }

   public function CarregarAlbunsPicasa($id_evento, $id_x9_local)
   {
      $this->sql = "select a.id_album_picasa, a.id_evento,
								a.id_empresa, 
								a.id_x9_local,a.usuario_picasa, a.album_picasa, a.descricao, a.acesso,
								a.data_criacao, a.website, a.qto_fotos, b.descricao as local
								from album_picasa a, x9_local b
								where a.id_evento = $id_evento
								and a.id_empresa = $this->id_empresa";
      $this->sql = $this->sql . " and a.id_x9_local = b.id_x9_local";

      if ($id_x9_local != 0)
         $this->sql = $this->sql . " and a.id_x9_local = $id_x9_local";


      $this->execulta();
   }

   public function CarregarControleBotao($id_evento)
   {
      $this->sql = "SELECT id_x9_controle_botao, btnAmpliacao, btnBioombo, btnOutros, btnAlbum, btnCapa FROM x9_controle_botao
								where id_empresa = $this->id_empresa
								and id_evento = $id_evento";
      $this->execulta();
   }

   public function AlterarEstadoBotao($id_evento, $onde, $stado)
   {
      $this->sql = "UPDATE x9_controle_botao
				  				SET ";

      if ($onde == 'btnAmpliacao')
         $this->sql = $this->sql . "btnAmpliacao = $stado ";

      if ($onde == 'btnBioombo')
         $this->sql = $this->sql . "btnBioombo = $stado ";

      if ($onde == 'btnOutros')
         $this->sql = $this->sql . "btnOutros = $stado ";

      if ($onde == 'btnAlbum')
         $this->sql = $this->sql . "btnAlbum = $stado ";

      if ($onde == 'btnCapa')
         $this->sql = $this->sql . "btnCapa = $stado ";


      $this->sql = $this->sql . "WHERE id_evento = $id_evento
											and id_empresa = $this->id_empresa";

      $this->execulta();


      if (mysqli_affected_rows() == 0) {
         $btnAmplicacao = $onde == 'btnAmpliacao' ? '1' : '0';
         $btnBioombo = $onde == 'btnBioombo' ? '1' : '0';
         $btnOutros = $onde == 'btnOutros' ? '1' : '0';
         $btnAlbum = $onde == 'btnAlbum' ? '1' : '0';
         $btnCapa = $onde == 'btnCapa' ? '1' : '0';

         $this->sql = "INSERT INTO x9_controle_botao
										 (id_empresa, id_evento, btnAmpliacao, btnBioombo, btnOutros, btnAlbum, btnCapa)
									values
									     ($this->id_empresa, $id_evento, $btnAmplicacao, $btnBioombo, $btnOutros, $btnAlbum, $btnCapa)";


         $this->execulta();
      }
   }

   function AlterarEstadoBotaoAll($id_evento, $btnAmpliacao, $btnBioombo, $btnOutros, $btnAlbum, $btnCapa)
   {

      $this->sql = "UPDATE x9_controle_botao
				  				SET btnAmpliacao = $btnAmpliacao, 
								btnBioombo = $btnBioombo, 
								btnOutros = $btnOutros, 
								btnAlbum = $btnAlbum, 
								btnCapa = $btnCapa
								WHERE id_evento = $id_evento
								and id_empresa = $this->id_empresa";

      $this->execulta();

      if (mysqli_affected_rows() == 0) {

         $this->sql = "INSERT INTO x9_controle_botao
										 (id_empresa, id_evento, btnAmpliacao, btnBioombo, btnOutros, btnAlbum, btnCapa)
									values
									     ($this->id_empresa, $id_evento, $btnAmpliacao, $btnBioombo, $btnOutros, $btnAlbum, $btnCapa)";

         $this->execulta();
      }
   }

   function VerFotosEscolhidas($id_evento, $id_x9_local, $deFoto)
   {
      $this->sql = "SELECT id_foto_escolhida, nome_foto, link_foto, id_x9_local
						FROM x9_foto_escolhida
						where id_evento = $id_evento
						and id_empresa = $this->id_empresa
						and id_x9_local = $id_x9_local
						";
      //limit $deFoto, 10
      $this->execulta();
      $i = 0;
      while ($row = mysqli_fetch_object($this->qry)) {
         if ($i == 0) {
            $tipo = array(5 => 'Álbum', 7 => 'Ampliação', 8 => 'Bioombo', 9 => 'Outros');
         }
         // echo '<img class="mold" src="'. $row->link_foto . '?imgmax=512"><br>';
         $img .= "viewer.add('" . $row->link_foto . '?imgmax=' . 1200 . "'); ";
         echo '<img class="mold" src="' . $row->link_foto . '?imgmax=512" onclick="return viewer.show(' . $i . ')"><br>';
         $i++;
      }

      $qto_itens = mysqli_num_rows($this->qry);
      if ($qto_itens == 0) {
         echo 'Nem uma foto foi localizada';
      } else {
         echo '<script type="text/javascript">
				   var viewer = new PhotoViewer();' .
            $img .
            'viewer.disableEmailLink();
				   viewer.disablePhotoLink();
				  </script>';
      }
   }

   function fotosEscolhidas($id_evento)
   {
      $this->sql = "select a.id_foto_escolhida, a.nome_foto, a.for_album, b.descricao
							from x9_foto_escolhida a left join x9_desc_pg_reprovada b
							on a.id_foto_escolhida = b.id_foto_escolhida 
							where id_evento = $id_evento
							and id_empresa = $this->id_empresa
							and id_x9_local = 10";

      $this->execulta();
   }

   function LocalizarSoUsuarioAlbumPicasa($id_evento, $id_x9_local)
   {
      $this->sql = "select usuario_picasa, album_picasa from album_picasa
								where id_evento = $id_evento
								and id_x9_local = $id_x9_local
								and id_empresa = $this->id_empresa";
      $this->execulta();
   }

   public function PicasaFotosLayout($usuario, $album, $fotos_array, $aprovada = '', $descricao = '')
   {
      $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album");
      if (!$tt)
         exit('Não Foi Localizado nem uma foto para esté Álbum');

      $xml = simplexml_load_string($tt);
      $qto_toal = count($xml->{"entry"});
      $pag = (int) $paginas;

      //$id_foto = $id_foto_escolhida[array_search($nome,$fotos_array)];

      echo '<div id="pnFotos" align="center">';

      echo '
								<table width="780" border="0">
								  <tr>
									<td width="194">Lâmina</td>
									<td width="101">Statos</td>
									<td width="471">Obs</td>
								  </tr>';

      for ($i = 0; $i < $qto_toal; $i++) {

         $media = $xml->{"entry"}[$i];
         $nome = $media->{title};

         $desc = $descricao[array_search($nome, $fotos_array)];
         $aprov = $aprovada[array_search($nome, $fotos_array)];

         //echo '<img class="mold" src="'. $media->{"content"}[0]->attributes()->src . '?imgmax='.$tamanho .'"><br>';


         $ap = '';
         if (in_array($nome, $fotos_array)) {
            if ($aprov == 0)
               $ap = '<img src="img/ok_aprovado.png" title="Aprovado" width="60" height="59">';
            if ($aprov == 1)
               $ap = '<img src="img/x_aprovado.png" width="60" title="Não Aprovado" height="59">';
         }



         echo '<tr><td>';
         echo '<img src="' . $media->{"content"}[0]->attributes()->src . '?imgmax=200"  onclick="return viewer.show(' . $x . ')">';
         // echo '<div style="font-size:10px; margin-bottom:20px; margin-top:-20px">' . $nome . '</div>';

         echo '</td><td>' . $nome . '<br>' . $ap . ' &nbsp;</td>
									<td>' . $desc . '</td>
								  </tr>';



         $img .= "viewer.add('" . $media->{"content"}[0]->attributes()->src . '?imgmax=' . 1200 . "'); ";
         $x++;
         //<a href="javascript:void(viewer.show(0))">Slideshow</a>
      }

      echo '</table>';
      echo '<div>';

      echo '<script type="text/javascript">
						   var viewer = new PhotoViewer();' .
         $img .
         'viewer.disableEmailLink();
						   viewer.disablePhotoLink();
						  </script>';
      echo '<script type="text/javascript" src="js/table.js"></script>';
   }

   function VerificarQtoFotos($id_evento)
   {
      $this->sql = "SELECT distinct(id_x9_local), count(id_x9_local)as qto FROM `x9_foto_escolhida`
								where id_evento = $id_evento
								and id_empresa = $this->id_empresa
								group by id_x9_local";
      $this->execulta();
   }

   //delta foto			
   function DeleteFotosSeleciona($id_evento, $id_x9_local)
   {
      $this->sql = "delete from x9_foto_escolhida
								where id_evento = $id_evento
								and id_empresa = $this->id_empresa
								and id_x9_local = $id_x9_local";
      $this->execulta();
   }

   function SelectWebSite($id_evento)
   {
      $this->sql = "select id_x9, website, senha, contrasenha, x9, data_criacao, data_finalizacao
								from x9 
								where id_evento = $id_evento
								and id_empresa = $this->id_empresa";
      $this->execulta();
   }

   function SelectHistoricoFinalizar($id_x9, $limit = '')
   {
      $this->sql = "select data, obs from x9_historico_finalizacao
								where id_x9 = $id_x9
								and id_empresa = $this->id_empresa
								order by data desc";
      if ($limit != '')
         $this->sql .= ' limt 1';

      $this->execulta();
   }

   function SelectHistoricoFinalizadoSo1($id_evento)
   {
      $this->sql = "select data, obs from x9_historico_finalizacao
								where id_x9 = (select id_x9 from x9 where id_evento = $id_evento)
								and id_empresa = $this->id_empresa
								order by data desc
               					limit 1";
      $this->execulta();
   }

   function InsertX9($id_evento, $website, $senha, $contrasenha)
   {
      $dataHora = date("Y/m/d h:i:s");
      $id_evento = addslashes($id_evento);
      $website = addslashes($website);
      $senha = addslashes($senha);
      $contrasenha = addslashes($contrasenha);

      $this->sql = "select website from x9
								where id_evento = $id_evento
								and id_empresa = $this->id_empresa
								and website = '$website'";

      $this->execulta();

      while ($row = mysqli_fetch_object($this->qry))
         $retorno = $row->website;


      if ($retorno == '') {
         $this->sql = "insert into x9
							(id_evento, id_empresa, website, senha, contrasenha, x9, data_criacao)
							values
							($id_evento, $this->id_empresa, '$website', '$senha', '$contrasenha', 'Ativo', '$dataHora')";
         $this->execulta();
      } else {
         echo 'WebSite já está Cadastro para outro Cliente';
      }
   }

   function DeletarX9($id_x9, $id_evento)
   {
      $this->sql = "DELETE FROM x9
							  WHERE id_x9 = $id_x9";
      $this->execulta();

      $this->sql = "DELETE FROM x9_historico_finalizacao
							  WHERE id_x9 = $id_x9";
      $this->execulta();

      $this->sql = "DELETE FROM x9_foto_escolhida
							  WHERE id_evento = $id_evento
							  and id_empresa = $this->id_empresa";
      $this->execulta();
   }

   function UpdateX9Senhas($id_x9, $senha, $contrasenha)
   {
      $senha = addslashes($senha);
      $contrasenha = addslashes($contrasenha);
      $this->sql = "UPDATE x9
							  SET senha = '$senha',
							  contrasenha = '$contrasenha'
							  WHERE id_x9 = $id_x9
							  and id_empresa = $this->id_empresa ";
      $this->execulta();
   }

   function UpdateX9Ativo($id_x9)
   {
      $this->sql = "UPDATE x9
							  SET x9 = 'Ativo'
							  WHERE id_x9 = $id_x9
							  and id_empresa = $this->id_empresa ";
      $this->execulta();
   }
}
